GET /hotels/{hotelId}/rate-plans/{ratePlanId}

impala.travel:hotels

Summary: List a rate plan (rate calendar) for a hotel (Beta endpoint).
Operation ID: listRatePlanForHotelForRatePlanId
Auth: unknown
Description

Returns a single rate plan available for you for a hotel. Rate plans are products the hotel is offering. They typically consist of a combination of restrictiveness in case of cancellations or changes, the time they're bookable, minimum or maximum length of stay restrictions (e.g. week-long bookings), included components like breakfast or dinner and/or the conditions under which the room can be sold (e.g. private rates that can only be offered and sold to a closed user group behind login). Examples of rate plans: * Non-refundable room rate that includes breakfast * Room-only rate with free cancellation up to 14 days before arrival This endpoint returns a singular available rate plan.

Parameters (8)

end (string, query, optional)

Start date of the considered time window for the returned rate plan.

hotelId (string, path, required)

The uuid of hotel for which rate plans are being fetched.

offset (number, query, optional, default: 0)

Offset from the first rate plan in the result (for pagination).

ratePlanId (integer, path, required)

The id of requested rateplan

roomTypeId (string, query, optional)

The uuid of room for which rate plans are being fetched.

size (number, query, optional, default: 25)

Number of rate plans returned on a given page (pagination).

Constraints: {'minimum': 1, 'maximum': 300}

start (string, query, optional)

Start date of the considered time window for the returned rate plan.

updatedAt (object, query, optional)

Returns rate plans changed after the supplied date.

No probe data for this endpoint yet.